<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.2.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\SlnMesnac.Business\SlnMesnac.Business.csproj" />
    <ProjectReference Include="..\SlnMesnac.Config\SlnMesnac.Config.csproj" />
    <ProjectReference Include="..\SlnMesnac.Extensions\SlnMesnac.Extensions.csproj" />
    <ProjectReference Include="..\SlnMesnac.Model\SlnMesnac.Model.csproj" />
    <ProjectReference Include="..\SlnMesnac.Plc\SlnMesnac.Plc.csproj" />
    <ProjectReference Include="..\SlnMesnac.Quartz\SlnMesnac.Quartz.csproj" />
    <ProjectReference Include="..\SlnMesnac.Repository\SlnMesnac.Repository.csproj" />
    <ProjectReference Include="..\SlnMesnac.Serilog\SlnMesnac.Serilog.csproj" />
  </ItemGroup>

</Project>
